/** 过滤树形数组，包含children的选项均禁用 */
const filterTreeData = (treeData) => {

  return treeData.map(item => {
    if (isNotEmpty(item.childrens)) {
      item.disabled = true;
      item.childrens = filterTreeData(item.childrens)
    }
    return item
  })

}

const isNotEmpty = (arr) => {
  return arr && Array.isArray(arr) && arr.length > 0;
}
export default {
  filterTreeData
}